


action trunk 
{
//	my.material = trunkskin;
//wait(1);
 c_move(my,vector(0,0,-10000),nullvector,IGNORE_PASSABLE);
 my.z-=17;
 }



material leafskin
{
	flags = tangent;
	effect
	"	
		float4x4 matWorldViewProj;				
		float4x4 matWorldView;
		float4 vecSunDir;
		float4 vecFog;
		float4 vecAmbient;
	
		texture entSkin1;					
		
		sampler entskin = sampler_state			
		{
			Texture = <entSkin1>; 
			MipFilter = Linear;
			MinFilter = Linear;
			MagFilter = Linear;
			AddressU = Wrap;	
			AddressV = Wrap;
		};
		
		

		float DoFog(float4 Pos)	
	  {float3 P = mul(Pos,matWorldView);   		
		return saturate((vecFog.y-P.z) * vecFog.z);}

		void TMulti_VS(
		in float4 inPos    : POSITION,
		in float3 inNormal : NORMAL,
		in float2 inTex    : TEXCOORD0,
		
		out float4 Pos 	  : POSITION,
		out float  Fog		  : FOG,
		out float2 Tex 	  : TEXCOORD0,
		out float3 Normal   : TEXCOORD1,
		out float4 sun      : COLOR0)
		{
	
			Pos = mul(inPos,matWorldViewProj);
			Fog = DoFog(inPos);
         Normal = inNormal;
			Tex   = inTex.xy;
			sun = saturate(dot(-vecSunDir,normalize(Normal)));				
		}
			
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		// pixelshader
		float4 ps( 
			in float  Fog		  : FOG,
			in float2 Tex 	     : TEXCOORD0,
			in float3 Normal    : TEXCOORD1,
			in float4 sun       : COLOR0 ) : COLOR
		{
			float4 s = tex2D(entskin,Tex);
					
			float4 Final;
			Final.rgb = (0.5+sun)*s;
         Final.a = s.a;
			return Final;
		}
	
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		DWORD ref=128.0f;
		technique mytechnique
		{
			
			pass p0
			{	
			alphablendenable=false;
	      alphatestenable=true;
	      AlphaRef=<ref>;
	      AlphaFunc=Greater;
   	   zenable=true;
		   zwriteenable=true;			
				VertexShader = compile vs_1_1 TMulti_VS();
				PixelShader = compile ps_1_4 ps();
			}
		}
	";
}

action leaf 
{if (d3d_shaderversion >= 1114)
{my.material = leafskin;}
c_move(my,vector(0,0,-10000),nullvector,IGNORE_PASSABLE);
my.passable=on;
my.z-=17;
}
	
	action leaf2 
{my.material = leafskin;
c_move(my,vector(0,0,-10000),nullvector,IGNORE_PASSABLE);

my.z-=17;
}
	
ENTITY* pos1;ENTITY* pos2;ENTITY* pos3;ENTITY* pos4;ENTITY* pos5;ENTITY* pos6;ENTITY* pos7;ENTITY* pos8;ENTITY* pos9;ENTITY* pos10;
ENTITY* pos11;ENTITY* pos12;ENTITY* pos13;ENTITY* pos14;ENTITY* pos15;ENTITY* pos16;ENTITY* pos17;ENTITY* pos18;ENTITY* pos19;ENTITY* pos20;

	
action posmodel1
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos1=my; 
while(1){if(start==0){c.pan=-camera.pan-90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel2
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos2=my; 
while(1){if(start==0){c.pan=-camera.pan-90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel3
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos3=my; 
while(1){if(start==0){c.pan=-camera.pan-90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel4
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos4=my; 
while(1){if(start==0){c.pan=-camera.pan-90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel5
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos5=my; 
while(1){if(start==0){c.pan=-camera.pan-90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel6
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos6=my; 
while(1){if(start==0){c.pan=-camera.pan-90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel7
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos7=my; 
while(1){if(start==0){c.pan=-camera.pan-90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel8
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos8=my; 
while(1){if(start==0){c.pan=-camera.pan-90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel9
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos9=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel10
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos10=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel11
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos11=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel12
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos12=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel13
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos13=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel14
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos14=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel15
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos15=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel16
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos16=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel17
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos17=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel18
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos18=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel19
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos19=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}

action posmodel20
{var dist;var c;var p;my.invisible=on;my.passable=on;dist=vec_length(my.x);vec_set(p.x, my.x);vec_sub(p.x, c.x);vec_to_angle(c.pan, p);pos20=my; 
while(1){if(start==0){c.pan=-camera.pan+90;}c.pan+=(key_d-key_a)*2*time;my.x=(dist*sin(c-90));my.y=(dist*cos(c-90));wait(1);}}
